Autocad shortcuts

Dear Bricscad Community!

Is there any CUI file containing the autocad shortcuts available for download somewhere?

Or could you otherwise redirect me to a tutorial how to edit/add new shortcuts? It seems not to be
possible to configure socalled one-key shortcuts, like O for Offset for example.

I am currently working on Bricscad Version 13.2.10.

Thanks in advance!

Cheers
Dom

Comments

  • The express tools will give you more of the AutoCAD shortcut keyboard commands.

    https://bricsys.com/applications/a/?express-tools-a589-al1002

    The command aliases can be customised as well.

    https://help.bricsys.com/hc/en-us/articles/360006540433-Command-Aliases

  • Command aliases sit in the default.pgp file:
    C:\Users\Louis\AppData\Roaming\Bricsys\BricsCAD\V20x64\en_US\Support\default.pgp
    Is this file missing on your computer? In attachment you can find a copy. When BricsCAD is open, type Supportfolder in the command prompt, then copy the file to this folder. Close and restart BricsCAD.
    All default AutoCAD command aliases should work now.

  • An easy way to edit that default.pgp file, from inside Bricscad, is with the "Command Aliases" tab of the "Customize" window (see attached screenshot). Available commands are on the right, and your aliases are on the left. You can edit any of them by clicking the edit button at the bottom, or delete them, or add new ones. When you click "OK" to close the window, the new aliases take effect immediately.

  • You basicly have a limit of 26 + 10 ie A-Z and 0-9 as single character shortcuts, you can make your own like I have osnaps set like 47, 99 the last meaning all, using numbers, no reason why not zzz simple to type.

    Just use lisp defuns to make your shortcuts. I have around 25 on startup. Plus same using Autoload to run lisps.

    I have fxxx this auto calls the fillet command and sets the fillet radius to the xxx value same with offsets and circles. A bit more advance version of a single character input it uses reactors to pull apart the command line entry.

    I have a lisp that makes around 15 defuns so can call pipe diameters "P300" the defuns only exist once lisp is loaded.

    Don't forget custom toolbars with your commands.

  • Guys thanks for your comments! I'll try your suggestions soon!

  • John_V
    edited February 2020

    Thanks for the tips. mykfcexperience

  • Hey Guys...

    Why not take is just a little further? While the short cut (pgp) keys works to launch the command, it doesn't allow for input or variables. By using Lisp, you can create a series of offset shortcuts ( "o1" "o6" "012", etc...) which are more useful. If you already have an on_doc_load.lsp file, you can add the code below... or simply cut/paste the following into a notepad editor and save as on_doc_load.lsp in one of your Support folders:

    ;on_doc_load.lsp by Vince Aman vea-consulting.com
    ;
    ; This file will auto-load in BricsCAD with every drawing...
    ;

    (defun c:of () (command "Offset")) ; defined function "of" for Offset Short cut

    (defun c:o1 () (command "offset" "1")) ; Quick Offset changed to "1"
    (defun c:o6 () (command "offset" "6"))
    (defun c:o12 () (command "offset" "12"))

    (prompt "\n\nOffset Shortcuts Loaded.... ")

    (princ) ; this captures the last process... basically prevents "nil" from showing up once loaded

  • Anthony Apostolaros
    edited February 2020

    Vince: I do a lot of that. For example, my "1" command assigns red color & .09mm lineweight to the selection set, "2" assigns yellow & .015, etc. And I have a lot of general and specific selection set filters: "qc" filters for a user-supplied color, "ql" filters for a user-supplied layer, etc, but "q1" filters for red, "q2" for yellow, etc. And I have some osnap commands that are executed with a transparency prefix (') by alt-key combinations; each of those represents a single osnap mode or a combination of modes, and each command acts as an osnap override if a command is active but sets OSMODE when no command is active.

  • Anthony,

    Those are great examples. There are so many performance tips & tricks we can do to streamline everyday repetitive tasks. I like pointing these simple Lisp routines out, because once you get hooked on improving your tools... There is no limit!

  • Vince,
    Amen (no pun intended), there is no limit w/ lisp.
    One of the first ‘cool’ things I did w/ lisp, oh, 1000 yrs. ago it seems, was resolve the issue of purging (way back when size DID matter) every dwg before giving it back to one of the major oil companies who demanded various layers, linetypes, fonts etc. in every CADfile, regardless of whether it was used or not.
    Made a block w/ all the required elements, scaled it to the size of a needle point, inserted into the oil company logo in the title block; this dwg then became the template for all future dwgs, which we had many, for yrs.
    Then just typed QAA (easy keystrokes) for the defun on the lisp routine that purged all, 3x to get everything including nested blocks, & saved. Still use that same routine to purge today.
    Lisp is a smiley face.

Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. Click one of the buttons on the top bar to get involved!